"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = obsoleteWithReplacement;

function obsoleteWithReplacement(replacementFunction, oldFnName) {
  var warned;

  function wrapper() {
    if (!warned) {
      var _console, _console$warn;

      warned = true;
      (_console = console) === null || _console === void 0 ? void 0 : (_console$warn = _console.warn) === null || _console$warn === void 0 ? void 0 : _console$warn.call(_console, "WARNING! Obsolete function called. Function '".concat(oldFnName, "' has been deprecated and will be removed in the next major release. Please use the new '").concat(replacementFunction.name, "' function instead."));
    }

    replacementFunction.call.apply(replacementFunction, [this].concat(Array.prototype.slice.call(arguments)));
  }

  wrapper.prototype = replacementFunction.prototype;
  return wrapper;
}
//# sourceMappingURL=obsoleteWithReplacement.js.map